# bmp.cpp File Reference

Read and write support for bmps. More...

`#include "stdafx.h"`
`#include "bmp.h"`
`#include "core/bitmath_func.hpp"`
`#include "core/alloc_func.hpp"`

Go to the source code of this file.

## Functions
void | BmpInitializeBuffer (BmpBuffer *buffer, FILE *file)
static void | AdvanceBuffer (BmpBuffer *buffer)
static bool | EndOfBuffer (BmpBuffer *buffer)
static byte | ReadByte (BmpBuffer *buffer)
static uint16 | ReadWord (BmpBuffer *buffer)
static uint32 | ReadDword (BmpBuffer *buffer)
static void | SkipBytes (BmpBuffer *buffer, int bytes)
static void | SetStreamOffset (BmpBuffer *buffer, int offset)
static bool | BmpRead1 (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
| Reads a 1 bpp uncompressed bitmap The bitmap is converted to a 8 bpp bitmap.
static bool | BmpRead4 (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
| Reads a 4 bpp uncompressed bitmap The bitmap is converted to a 8 bpp bitmap.
static bool | BmpRead4Rle (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
| Reads a 4-bit RLE compressed bitmap The bitmap is converted to a 8 bpp bitmap.
static bool | BmpRead8 (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
| Reads a 8 bpp bitmap.
static bool | BmpRead8Rle (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
| Reads a 8-bit RLE compressed bpp bitmap.
static bool | BmpRead24 (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
| Reads a 24 bpp uncompressed bitmap.
bool | BmpReadHeader (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
bool | BmpReadBitmap (BmpBuffer *buffer, BmpInfo *info, BmpData *data)
void | BmpDestroyData (BmpData *data)

## Detailed Description

Read and write support for bmps.

Definition in file bmp.cpp.